<?php

class DispletRetsIdxPropertyDetailsPageController extends DispletRetsIdxPagesController {
	private static function get_meta_title(){
		$title = self::$_model['listings'][0]->address;
		if ( !empty( self::$_model['listings'][0]->city ) ) {
			$title .= ', ' . self::$_model['listings'][0]->city;
		}
		if ( !empty( self::$_model['listings'][0]->state ) ) {
			$title .= ', ' . self::$_model['listings'][0]->state;
		}
		if ( !empty( self::$_model['listings'][0]->zip ) ) {
			$title .= ' ' . self::$_model['listings'][0]->zip;
		}
		return $title;
	}

	public static function include_jquery(){
		echo DispletRetsIdxTemplatesController::get_template( 'displet-property-details-page-jquery.php', self::$_model );
	}

	public static function include_login_register_popup(){
		echo DispletRetsIdxTemplatesController::get_template( 'displet-facebook-login-jquery.php', self::$_model );
		echo DispletRetsIdxTemplatesController::get_template( 'displet-login-register-popup.php', self::$_model );
	}

	public static function include_request_showing_popup(){
		$model = self::$_model;
		if ( !self::$_model['is_property_details_page'] ) {
			$model['listings'] = array(
				'placeholder'
			);
		}
		echo DispletRetsIdxTemplatesController::get_template( 'displet-request-showing-popup.php', $model );
	}

	public static function include_popups(){
		echo DispletRetsIdxTemplatesController::get_template( 'displet-property-details-page-popups.php', self::$_model );
	}

	public static function replace_meta_title( $title ) {
		return self::get_meta_title();
	}

	public static function replace_meta_title_genesis(){
		$title = self::get_meta_title();
		echo '<title>' . $title . '</title>';
	}

	public static function replace_page_content( $content ) {
		if ( in_the_loop() ) {
			$template = new DispletRetsIdxTemplates( self::$_model );
			$content = $template->get_templates();
			$url = 'http://' . $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];
			$base = get_permalink( self::$_options['property_details_page_id'] );
			$url = str_replace( $base, '', $url );
			DispletRetsIdxUsersController::update_viewed_properties( $url, self::$_model['listings'][0]->address, self::$_model['listings'][0]->list_price, self::$_model['listings'][0]->zip, self::$_model['listings'][0]->square_feet, self::$_model['property_id'] );
		}
		return $content;
	}

	public static function replace_page_title( $title ) {
		global $post, $id;
		if ( $id == $post->ID && in_the_loop() && DispletRetsIdxUtilities::is_referral_function( 'the_title' ) ) {
			return DispletRetsIdxTemplatesController::get_template( 'displet-property-details-page-title.php', self::$_model );
		}
		return $title;
	}

	public static function use_mobile_template( $template ){
		return DispletRetsIdxTemplatesController::get_template_path( 'displet-property-details-mobile.php' );
	}
}

?>